
#R code for the Maseyk et al. (in prep.)
#Written by Anna M Csergo, Trinity College Dublin, Ireland, in 2016
#Contact: http://annamariacsergo.weebly.com


R version 3.2.3 (2015-12-10)
Platform: x86_64-apple-darwin13.4.0 (64-bit)
Running under: OS X 10.9.5 (Mavericks)


setwd("/Users/annamariacsergo/Dropbox/Ecos_Services")
library(vegan)# Version ‘2.4.0’;


#Function to calculate Evenness from Evar fromula in Smith and Wilson 1996 (source: http://arnottlab.blogspot.ie/2011/11/evar-function.html)

Evar<-function(x)   {
  v<-as.numeric(ncol(x)-1)
  for(k in 1:nrow(x)) {
    y<-x[k,2:ncol(x)]
    a<-as.numeric(ncol(x)-1); b<-a; d<-a
    for(i in 1:(ncol(x)-1)) {
      a[i]<-if(y[i]!=0) log(y[i]) else 0 }
    S<-sum(y>0)
    for(j in 1:(ncol(x)-1))    {
      b[j]<-a[[j]]/S}
    c<-sum(b)
    for(i in 1:(ncol(x)-1)) {
      d[i]<-if(y[i]!=0) ((a[[i]]-c)^2/S) else 0 }
    f<-sum(d)
    v[k]<-(1-2/pi*atan(f))   }
    v }



#MOWED
Dataset<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/RawData/Mowed.csv")#read in data
Mowed<-Dataset[-1,]
Mowed[is.na(Mowed)] <- 0
attach(Mowed)
CoverMow<-Dataset[1,9:24]


#Poor_to_medium quality fodder plants
F1_2<-Mowed[Mowed$Fodder %in% c('F1','F2'),9:24]#select species of interest
F1_2["F1_2_cov",]<-colSums(F1_2[1:22,])#sum abundances of species
F1_2["F1_2_relcov",] <- F1_2["F1_2",] / CoverMow[1,]#divide abundance of by total vegetation cover
F1_2["F1_2_count",] <- colSums(F1_2[1:22,]>0)#count number of species
F1_2["F1_2_Shannon",]<-diversity(t(F1_2[1:22,]), index= "shannon", MARGIN =1, base = exp(1))#Shannon index
F1_2["F1_2_Simpson",]<-diversity(t(F1_2[1:22,]), index = "simpson")#Simpson index
F1_2["F1_2_InvSimpson",]<-diversity(t(F1_2[1:22,]), index = "invsimpson")#Inverse Simpson index
F1_2["F1_2_Evar",]<-Evar(t(F1_2[1:22,])) #Evar evenness

#Good to excellent quality fodder plants
F3_5<-Mowed[Mowed$Fodder %in% c('F3','F4','F5'),9:24]
F3_5["F3_5_cov",]<-colSums(F3_5[1:17,])
F3_5["F3_5_relcov",] <- F3_5["F3_5",] / CoverMow[1,]
F3_5["F3_5_count",] <- colSums(F3_5[1:17,]>0)
F3_5["F3_5_Shannon",]<-diversity(t(F3_5[1:17,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
F3_5["F3_5_Simpson",]<-diversity(t(F3_5[1:17,]), index="simpson")#Simpson index
F3_5["F3_5_InvSimpson",]<-diversity(t(F3_5[1:17,]), index="invsimpson")#Inverse Simpson index
F3_5["F3_5_Evar",]<-Evar(t(F3_5[1:17,])) #Evar evenness

#Medicinal plants
Medic<-Mowed[Mowed$Medic=='M',9:24]
Medic["Medic_cov",]<-colSums(Medic[1:27,])
Medic["Medic_relcov",] <- Medic["Medic",] / CoverMow[1,] #relative cover of medicinal plants
Medic["Medic_count",] <- colSums(Medic[1:27,]>0) #number of medicinal plants
Medic["Medic_Shannon",]<-diversity(t(Medic[1:27,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Medic["Medic_Simpson",]<-diversity(t(Medic[1:27,]), index="simpson")#Simpson index
Medic["Medic_InvSimpson",]<-diversity(t(Medic[1:27,]), index="invsimpson")#Inverse Simpson index
Medic["Medic_Evar",]<-Evar(t(Medic[1:27,]))

#Honey provider plants
Melif<-Mowed[Mowed$Melif=='MF',9:24]
Melif["Melif_cov",]<-colSums(Melif[1:29,])
Melif["Melif_relcov",] <- Melif["Melif",] / CoverMow[1,]
Melif["Melif_count",] <- colSums(Melif[1:29,]>0)
Melif["Melif_Shannon",]<-diversity(t(Melif[1:29,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Melif["Melif_Simpson",]<-diversity(t(Melif[1:29,]), index="simpson")#Simpson index
Melif["Melif_InvSimpson",]<-diversity(t(Melif[1:29,]), index="invsimpson")#Inverse Simpson index
Melif["Melif_Evar",]<-Evar(t(Melif[1:29,]))#Evar

#Nitrogen fixer plants
Nfix<-Mowed[Mowed$Nfix=='1',9:24]
Nfix["Nfix_cov",]<-colSums(Nfix[1:17,])
Nfix["Nfix_relcov",] <- Nfix["Nfix",] / CoverMow[1,]
Nfix["Nfix_count",] <- colSums(Nfix[1:17,]>0)
Nfix["Nfix_Shannon",]<-diversity(t(Nfix[1:17,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Nfix["Nfix_Simpson",]<-diversity(t(Nfix[1:17,]), index="simpson")#Simpson index
Nfix["Nfix_InvSimpson",]<-diversity(t(Nfix[1:17,]), index="invsimpson")#Inverse Simpson index
Nfix["Nfix_Evar",]<-diversity(t(Nfix[1:17,]))#Evar

#Protected plants
Prot<-Mowed[Mowed$Prot==1,9:24]
Prot["Prot_cov",]<-colSums(Prot[1:18,])
Prot["Prot_relcov",] <- Prot["Prot",] / CoverMow[1,]
Prot["Prot_count",] <- colSums(Prot[1:18,]>0)
Prot["Prot_Shannon",]<-diversity(t(Prot[1:18,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Prot["Prot_Simpson",]<-diversity(t(Prot[1:18,]), index="simpson")#Simpson index
Prot["Prot_InvSimpson",]<-diversity(t(Prot[1:18,]), index="invsimpson")#Inverse Simpson index
Prot["Prot_Evar",]<-Evar(t(Prot[1:18,]))#Evar

#Pollen provider plants
Pollen<-Mowed[Mowed$Pollin>6,9:24]
Pollen["Pollen_cov",]<-colSums(Pollen[1:105,])
Pollen["Pollen_relcov",] <- Pollen["Pollen",] / CoverMow[1,]
Pollen["Pollen_count",] <- colSums(Pollen[1:105,]>0)
Pollen["Pollen_Shannon",]<-diversity(t(Pollen[1:105,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Pollen["Pollen_Simpson",]<-diversity(t(Pollen[1:105,]), index="simpson")#Simpson index
Pollen["Pollen_InvSimpson",]<-diversity(t(Pollen[1:105,]), index="invsimpson")#Inverse Simpson index
Pollen["Pollen_Evar",]<-Evar(t(Pollen[1:105,]))

#Total species
Mowed2<-Mowed[,9:24]
Mowed2["Total_cover",]<-CoverMow #total vegetation cover
Mowed2["Total_count",] <- colSums(Mowed2>0)#count number of species
Mowed2["Total_Shannon",]<-diversity(t(Mowed2), index= "shannon", MARGIN =1, base = exp(1))#Shannon index
Mowed2["Total_Simpson",]<-diversity(t(Mowed2), index = "simpson")#Simpson index
Mowed2["Total_invSimpson",]<-diversity(t(Mowed2), index = "invsimpson")#Inverse Simpson index
Mowed2["Total_Evar",]<-Evar(t(Mowed2)) #Evar evenness


#Write data to csv:
CoverMowed<-t(rbind(F1_2["F1_2_relcov",],F3_5["F3_5_relcov",],Medic["Medic_relcov",],Melif["Melif_relcov",],Nfix["Nfix_relcov",],Prot["Prot_relcov",],Pollen["Pollen_relcov",],Mowed2["Total_cover",],"Management"="Mowed"))

CountMowed<-t(rbind(F1_2["F1_2_count",],F3_5["F3_5_count",],Medic["Medic_count",],Melif["Melif_count",],Nfix["Nfix_count",],Prot["Prot_count",],Pollen["Pollen_count",],Mowed2["Total_count",],"Management"="Mowed"))

ShannonMowed<-t(rbind(F1_2["F1_2_Shannon",],F3_5["F3_5_Shannon",],Medic["Medic_Shannon",],Melif["Melif_Shannon",],Nfix["Nfix_Shannon",],Prot["Prot_Shannon",],Pollen["Pollen_Shannon",],Mowed2["Total_Shannon",],"Management"="Mowed"))

SimpsonMowed<-t(rbind(F1_2["F1_2_Simpson",],F3_5["F3_5_Simpson",],Medic["Medic_Simpson",],Melif["Melif_Simpson",],Nfix["Nfix_Simpson",],Prot["Prot_Simpson",],Pollen["Pollen_Simpson",],Mowed2["Total_Simpson",],"Management"="Mowed"))

InvSimpsonMowed<-t(rbind(F1_2["F1_2_InvSimpson",],F3_5["F3_5_InvSimpson",],Medic["Medic_InvSimpson",],Melif["Melif_InvSimpson",],Nfix["Nfix_InvSimpson",],Prot["Prot_InvSimpson",],Pollen["Pollen_InvSimpson",],Mowed2["Total_invSimpson",],"Management"="Mowed"))

EvarMowed<-
t(rbind(F1_2["F1_2_Evar",],F3_5["F3_5_Evar",],Medic["Medic_Evar",],Melif["Melif_Evar",],Nfix["Nfix_Evar",],Prot["Prot_Evar",],Pollen["Pollen_Evar",],Mowed2["Total_Evar",],"Management"="Mowed"))

write.csv(CoverMowed, file="CoverMowed.csv")
write.csv(CountMowed,file="CountMowed.csv")
write.csv(ShannonMowed, file="ShannonMowed.csv")
write.csv(SimpsonMowed, file="SimpsonMowed.csv")
write.csv(InvSimpsonMowed, file="InvSimpsonMowed.csv")
write.csv(EvarMowed, file="EvarMowed.csv")
#============================================

#GRAZED
DatasetGrazed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/RawData/Grazed.csv")#read in data
Grazed<-DatasetGrazed[-1,]
Grazed[is.na(Grazed)] <- 0
attach(Grazed)
CoverGraz<-DatasetGrazed[1,9:22]


#Poor_to_medium quality fodder plants
F1_2<-Grazed[Grazed$Fodder %in% c('F1','F2'),9:22]#select species of interest
F1_2["F1_2_cov",]<-colSums(F1_2[1:28,])#sum abundances of species
F1_2["F1_2_relcov",] <- F1_2["F1_2_cov",] / CoverGraz[1,]#divide abundance of by total vegetation cover
F1_2["F1_2_count",] <- colSums(F1_2[1:28,]>0)#count number of species
F1_2["F1_2_Shannon",]<-diversity(t(F1_2[1:28,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
F1_2["F1_2_Simpson",]<-diversity(t(F1_2[1:28,]), index="simpson")#Simpson index
F1_2["F1_2_InvSimpson",]<-diversity(t(F1_2[1:28,]), index="invsimpson")#Inverse Simpson index
F1_2["F1_2_Evar",]<-Evar(t(F1_2[1:28,]))

#Good to excellent quality fodder plants
F3_5<-Grazed[Grazed$Fodder %in% c('F3','F4','F5'),9:22]
F3_5["F3_5_cov",]<-colSums(F3_5[1:17,])
F3_5["F3_5_relcov",] <- F3_5["F3_5",] / CoverGraz[1,]
F3_5["F3_5_count",] <- colSums(F3_5[1:17,]>0)
F3_5["F3_5_Shannon",]<-diversity(t(F3_5[1:17,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
F3_5["F3_5_Simpson",]<-diversity(t(F3_5[1:17,]), index="simpson")#Simpson index
F3_5["F3_5_InvSimpson",]<-diversity(t(F3_5[1:17,]), index="invsimpson")#Inverse Simpson index
F3_5["F3_5_Evar",]<-Evar(t(F3_5[1:17,]))

#Medicinal plants
Medic<-Grazed[Grazed$Medic=='M',9:22]
Medic["Medic_cov",]<-colSums(Medic[1:23,])
Medic["Medic_relcov",] <- Medic["Medic",] / CoverGraz[1,] #relative cover of medicinal plants
Medic["Medic_count",] <- colSums(Medic[1:23,]>0)#number of medicinal plants
Medic["Medic_Shannon",]<-diversity(t(Medic[1:23,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Medic["Medic_Simpson",]<-diversity(t(Medic[1:23,]), index="simpson")#Simpson index
Medic["Medic_InvSimpson",]<-diversity(t(Medic[1:23,]), index="invsimpson")#Inverse Simpson index
Medic["Medic_Evar",]<-Evar(t(Medic[1:23,]))

#Honey provider plants
Melif<-Grazed[Grazed$Melif=='MF',9:22]
Melif["Melif_cov",]<-colSums(Melif[1:27,])
Melif["Melif_relcov",] <- Melif["Melif",] / CoverGraz[1,]
Melif["Melif_count",] <- colSums(Melif[1:27,]>0)
Melif["Melif_Shannon",]<-diversity(t(Melif[1:27,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Melif["Melif_Simpson",]<-diversity(t(Melif[1:27,]), index="simpson")#Simpson index
Melif["Melif_InvSimpson",]<-diversity(t(Melif[1:27,]), index="invsimpson")#Inverse Simpson index
Melif["Melif_Evar",]<-Evar(t(Melif[1:27,]))

#Nitrogen fixer plants
Nfix<-Grazed[Grazed$Nfix=='1',9:22]
Nfix["Nfix_cov",]<-colSums(Nfix[1:10,])
Nfix["Nfix_relcov",] <- Nfix["Nfix",] / CoverGraz[1,]
Nfix["Nfix_count",] <- colSums(Nfix[1:10,]>0)
Nfix["Nfix_Shannon",]<-diversity(t(Nfix[1:10,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Nfix["Nfix_Simpson",]<-diversity(t(Nfix[1:10,]), index="simpson")#Simpson index
Nfix["Nfix_InvSimpson",]<-diversity(t(Nfix[1:10,]), index="invsimpson")#Inverse Simpson index
Nfix["Nfix_Evar",]<-Evar(t(Nfix[1:10,]))

#Protected plants
Prot<-Grazed[Grazed$Prot== 1,9:22]
Prot["Prot_cov",]<-colSums(Prot[1:12,])
Prot["Prot_relcov",] <- Prot["Prot",] / CoverGraz[1,]
Prot["Prot_count",] <- colSums(Prot[1:12,]>0)
Prot["Prot_Shannon",]<-diversity(t(Prot[1:12,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Prot["Prot_Simpson",]<-diversity(t(Prot[1:12,]), index="simpson")#Simpson index
Prot["Prot_InvSimpson",]<-diversity(t(Prot[1:12,]), index="invsimpson")#Inverse Simpson index
Prot["Prot_Evar",]<-Evar(t(Prot[1:12,]))

#Pollen provider plants
Pollen<-Grazed[Grazed$Pollin>6,9:22]
Pollen["Pollen_cov",]<-colSums(Pollen[1:79,])
Pollen["Pollen_relcov",] <- Pollen["Pollen",] / CoverGraz[1,]
Pollen["Pollen_count",] <- colSums(Pollen[1:79,]>0)
Pollen["Pollen_Shannon",]<-diversity(t(Pollen[1:79,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Pollen["Pollen_Simpson",]<-diversity(t(Pollen[1:79,]), index="simpson")#Simpson index
Pollen["Pollen_InvSimpson",]<-diversity(t(Pollen[1:79,]), index="invsimpson")#Inverse Simpson index
Pollen["Pollen_Evar",]<-Evar(t(Pollen[1:79,]))

#Total species
Grazed2<-Grazed[,9:22]
Grazed2["Total_cover",]<-CoverGraz #total vegetation cover
Grazed2["Total_count",] <- colSums(Grazed2>0)#count number of species
Grazed2["Total_Shannon",]<-diversity(t(Grazed2), index= "shannon", MARGIN =1, base = exp(1))#Shannon index
Grazed2["Total_Simpson",]<-diversity(t(Grazed2), index = "simpson")#Simpson index
Grazed2["Total_invSimpson",]<-diversity(t(Grazed2), index = "invsimpson")#Inverse Simpson index
Grazed2["Total_Evar",]<-Evar(t(Grazed2)) #Evar evenness


#Write data to csv:
CoverGrazed<-t(rbind(F1_2["F1_2_relcov",],F3_5["F3_5_relcov",],Medic["Medic_relcov",],Melif["Melif_relcov",],Nfix["Nfix_relcov",],Prot["Prot_relcov",],Pollen["Pollen_relcov",],Grazed2["Total_cover",],"Management"="Grazed"))

CountGrazed<-t(rbind(F1_2["F1_2_count",],F3_5["F3_5_count",],Medic["Medic_count",],Melif["Melif_count",],Nfix["Nfix_count",],Prot["Prot_count",],Pollen["Pollen_count",],Grazed2["Total_count",],"Management"="Grazed"))

ShannonGrazed<-t(rbind(F1_2["F1_2_Shannon",],F3_5["F3_5_Shannon",],Medic["Medic_Shannon",],Melif["Melif_Shannon",],Nfix["Nfix_Shannon",],Prot["Prot_Shannon",],Pollen["Pollen_Shannon",],Grazed2["Total_Shannon",],"Management"="Grazed"))

SimpsonGrazed<-t(rbind(F1_2["F1_2_Simpson",],F3_5["F3_5_Simpson",],Medic["Medic_Simpson",],Melif["Melif_Simpson",],Nfix["Nfix_Simpson",],Prot["Prot_Simpson",],Pollen["Pollen_Simpson",],Grazed2["Total_Simpson",],"Management"="Grazed"))

InvSimpsonGrazed<-t(rbind(F1_2["F1_2_InvSimpson",],F3_5["F3_5_InvSimpson",],Medic["Medic_InvSimpson",],Melif["Melif_InvSimpson",],Nfix["Nfix_InvSimpson",],Prot["Prot_InvSimpson",],Pollen["Pollen_InvSimpson",],Grazed2["Total_invSimpson",],"Management"="Grazed"))

EvarGrazed<-t(rbind(F1_2["F1_2_Evar",],F3_5["F3_5_Evar",],Medic["Medic_Evar",],Melif["Melif_Evar",],Nfix["Nfix_Evar",],Prot["Prot_Evar",],Pollen["Pollen_Evar",],Grazed2["Total_Evar",],"Management"="Grazed"))


write.csv(CoverGrazed, file="CoverGrazed.csv")
write.csv(CountGrazed,file="CountGrazed.csv")
write.csv(ShannonGrazed, file="ShannonGrazed.csv")
write.csv(SimpsonGrazed, file="SimpsonGrazed.csv")
write.csv(InvSimpsonGrazed, file="InvSimpsonGrazed.csv")
write.csv(EvarGrazed, file="EvarGrazed.csv")
#============================================

#ABANDONED
DatasetAbandoned<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/RawData/Abandoned.csv")#read in data
Abandoned<-DatasetAbandoned[-1,]
Abandoned[is.na(Abandoned)] <- 0
attach(Abandoned)
CoverAban<-DatasetAbandoned[1,9:23]

#alpha diversity of the entire dataset
#alphadiversity<-d(Abandoned[,9:23], lev = "alpha", wts=FALSE, q=1, boot=TRUE, boot.arg = list(num.iter = 1000))
#Shannon<-H (Abandoned[,9:23], lev = "alpha", wts = FALSE, q = 1, HCDT = FALSE, gini = FALSE, boot = TRUE, boot.arg = list(num.iter = #1000))


#Poor_to_medium quality fodder plants
F1_2<-Abandoned[Abandoned$Fodder %in% c('F1','F2'),9:23]#select species of interest
F1_2["F1_2_cov",]<-colSums(F1_2[1:20,])#sum abundances of species
F1_2["F1_2_relcov",] <- F1_2["F1_2_cov",] / CoverAban[1,]#divide abundance of by total vegetation cover
F1_2["F1_2_count",] <- colSums(F1_2[1:20,]>0)#count number of species
F1_2["F1_2_Shannon",]<-diversity(t(F1_2[1:20,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
F1_2["F1_2_Simpson",]<-diversity(t(F1_2[1:20,]), index="simpson")#Simpson index
F1_2["F1_2_InvSimpson",]<-diversity(t(F1_2[1:20,]), index="invsimpson")#Inverse Simpson index
F1_2["F1_2_Evar",]<-Evar(t(F1_2[1:20,]))

#Good to excellent quality fodder plants
F3_5<-Abandoned[Abandoned$Fodder %in% c('F3','F4','F5'),9:23]
F3_5["F3_5_cov",]<-colSums(F3_5[1:13,])
F3_5["F3_5_relcov",] <- F3_5["F3_5",] / CoverAban[1,]
F3_5["F3_5_count",] <- colSums(F3_5[1:13,]>0)
F3_5["F3_5_Shannon",]<-diversity(t(F3_5[1:13,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
F3_5["F3_5_Simpson",]<-diversity(t(F3_5[1:13,]), index="simpson")#Simpson index
F3_5["F3_5_InvSimpson",]<-diversity(t(F3_5[1:13,]), index="invsimpson")#Inverse Simpson index
F3_5["F3_5_Evar",]<-Evar(t(F3_5[1:13,]))

#Medicinal plants
Medic<-Abandoned[Abandoned$Medic=='M',9:23]
Medic["Medic_cov",]<-colSums(Medic[1:23,])
Medic["Medic_relcov",] <- Medic["Medic",] / CoverAban[1,] #relative cover of medicinal plants
Medic["Medic_count",] <- colSums(Medic[1:23,]>0) #number of medicinal plants
Medic["Medic_Shannon",]<-diversity(t(Medic[1:23,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Medic["Medic_Simpson",]<-diversity(t(Medic[1:23,]), index="simpson")#Simpson index
Medic["Medic_InvSimpson",]<-diversity(t(Medic[1:23,]), index="invsimpson")#Inverse Simpson index
Medic["Medic_Evar",]<-Evar(t(Medic[1:23,]))

#Honey provider plants
Melif<-Abandoned[Abandoned$Melif=='MF',9:23]
Melif["Melif_cov",]<-colSums(Melif[1:26,])
Melif["Melif_relcov",] <- Melif["Melif",] / CoverAban[1,]
Melif["Melif_count",] <- colSums(Melif[1:26,]>0)
Melif["Melif_Shannon",]<-diversity(t(Melif[1:26,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Melif["Melif_Simpson",]<-diversity(t(Melif[1:26,]), index="simpson")#Simpson index
Melif["Melif_InvSimpson",]<-diversity(t(Melif[1:26,]), index="invsimpson")#Inverse Simpson index
Melif["Melif_Evar",]<-Evar(t(Melif[1:26,]))

#Nitrogen fixer plants
Nfix<-Abandoned[Abandoned$Nfix=='1',9:23]
Nfix["Nfix_cov",]<-colSums(Nfix[1:13,])
Nfix["Nfix_relcov",] <- Nfix["Nfix",] / CoverAban[1,]
Nfix["Nfix_count",] <- colSums(Nfix[1:13,]>0)
Nfix["Nfix_Shannon",]<-diversity(t(Nfix[1:13,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Nfix["Nfix_Simpson",]<-diversity(t(Nfix[1:13,]), index="simpson")#Simpson index
Nfix["Nfix_InvSimpson",]<-diversity(t(Nfix[1:13,]), index="invsimpson")#Inverse Simpson index
Nfix["Nfix_Evar",]<-Evar(t(Nfix[1:13,]))


#Protected plants
Prot<-Abandoned[Abandoned$Prot ==1,9:23]
Prot["Prot_cov",]<-colSums(Prot[1:15,])
Prot["Prot_relcov",] <- Prot["Prot",] / CoverAban[1,]
Prot["Prot_count",] <- colSums(Prot[1:15,]>0)
Prot["Prot_Shannon",]<-diversity(t(Prot[1:15,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Prot["Prot_Simpson",]<-diversity(t(Prot[1:15,]), index="simpson")#Simpson index
Prot["Prot_InvSimpson",]<-diversity(t(Prot[1:15,]), index="invsimpson")#Inverse Simpson index
Prot["Prot_Evar",]<-Evar(t(Prot[1:15,]))

#Pollen provider plants
Pollen<-Abandoned[Abandoned$Pollin>6,9:23]
Pollen["Pollen_cov",]<-colSums(Pollen[1:93,])
Pollen["Pollen_relcov",] <- Pollen["Pollen",] / CoverAban[1,]
Pollen["Pollen_count",] <- colSums(Pollen[1:93,]>0)
Pollen["Pollen_Shannon",]<-diversity(t(Pollen[1:93,]), index="shannon", MARGIN =1, base = exp(1))#Shannon index
Pollen["Pollen_Simpson",]<-diversity(t(Pollen[1:93,]), index="simpson")#Simpson index
Pollen["Pollen_InvSimpson",]<-diversity(t(Pollen[1:93,]), index="invsimpson")#Inverse Simpson index
Pollen["Pollen_Evar",]<-Evar(t(Pollen[1:93,]))

#Total species
Abandoned2<-Abandoned[,9:23]
Abandoned2["Total_cover",]<-CoverAban #total vegetation cover
Abandoned2["Total_count",] <- colSums(Abandoned2>0)#count number of species
Abandoned2["Total_Shannon",]<-diversity(t(Abandoned2), index= "shannon", MARGIN =1, base = exp(1))#Shannon index
Abandoned2["Total_Simpson",]<-diversity(t(Abandoned2), index = "simpson")#Simpson index
Abandoned2["Total_invSimpson",]<-diversity(t(Abandoned2), index = "invsimpson")#Inverse Simpson index
Abandoned2["Total_Evar",]<-Evar(t(Abandoned2)) #Evar evenness


#Write data to csv:
CoverAbandoned<-t(rbind(F1_2["F1_2_relcov",],F3_5["F3_5_relcov",],Medic["Medic_relcov",],Melif["Melif_relcov",],Nfix["Nfix_relcov",],Prot["Prot_relcov",],Pollen["Pollen_relcov",],Abandoned2["Total_cover",],"Management"="Abandoned"))

CountAbandoned<-t(rbind(F1_2["F1_2_count",],F3_5["F3_5_count",],Medic["Medic_count",],Melif["Melif_count",],Nfix["Nfix_count",],Prot["Prot_count",],Pollen["Pollen_count",],Abandoned2["Total_count",],"Management"="Abandoned"))


ShannonAbandoned<-t(rbind(F1_2["F1_2_Shannon",],F3_5["F3_5_Shannon",],Medic["Medic_Shannon",],Melif["Melif_Shannon",],Nfix["Nfix_Shannon",],Prot["Prot_Shannon",],Pollen["Pollen_Shannon",],Abandoned2["Total_Shannon",],"Management"="Abandoned"))

SimpsonAbandoned<-t(rbind(F1_2["F1_2_Simpson",],F3_5["F3_5_Simpson",],Medic["Medic_Simpson",],Melif["Melif_Simpson",],Nfix["Nfix_Simpson",],Prot["Prot_Simpson",],Pollen["Pollen_Simpson",],Abandoned2["Total_Simpson",],"Management"="Abandoned"))

InvSimpsonAbandoned<-t(rbind(F1_2["F1_2_InvSimpson",],F3_5["F3_5_InvSimpson",],Medic["Medic_InvSimpson",],Melif["Melif_InvSimpson",],Nfix["Nfix_InvSimpson",],Prot["Prot_InvSimpson",],Pollen["Pollen_InvSimpson",],Abandoned2["Total_invSimpson",],"Management"="Abandoned"))

EvarAbandoned<-t(rbind(F1_2["F1_2_Evar",],F3_5["F3_5_Evar",],Medic["Medic_Evar",],Melif["Melif_Evar",],Nfix["Nfix_Evar",],Prot["Prot_Evar",],Pollen["Pollen_Evar",],Abandoned2["Total_Evar",],"Management"="Abandoned"))

write.csv(CoverAbandoned, file="CoverAbandoned.csv")
write.csv(CountAbandoned,file="CountAbandoned.csv")
write.csv(ShannonAbandoned, file="ShannonAbandoned.csv")
write.csv(SimpsonAbandoned, file="SimpsonAbandoned.csv")
write.csv(InvSimpsonAbandoned, file="InvSimpsonAbandoned.csv")
write.csv(EvarAbandoned, file="EvarAbandoned.csv")


#========================================================
#merge files (need to re-read because variables mask each other)
CountMowed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/CountMowed.csv")#read in data
CountGrazed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/CountGrazed.csv")
CountAbandoned<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/CountAbandoned.csv")
Count<-rbind(CountMowed,CountGrazed,CountAbandoned)
Count[,"Site"]<-sub("[[:digit:]]+","",Count$X) #get site name from site ID
colnames(Count)<-c("ID", "PoorFodder","GoodFodder","Medic","Melif","Nfix","Prot","Pollen","Total","Land use","Site")
write.csv(Count, file="Count.csv", row.names = FALSE)

CoverMowed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/CoverMowed.csv")#read in data
CoverGrazed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/CoverGrazed.csv")
CoverAbandoned<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/CoverAbandoned.csv")
Cover<-rbind(CoverMowed,CoverGrazed,CoverAbandoned)
Cover[,"Site"]<-sub("[[:digit:]]+","",Cover$X) #get site name from site ID
colnames(Cover)<-c("ID", "PoorFodder","GoodFodder","Medic","Melif","Nfix","Prot","Pollen","Total","Land use","Site")
write.csv(Cover, file="Cover.csv", row.names = FALSE)

ShannonMowed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/ShannonMowed.csv")#read in data
ShannonGrazed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/ShannonGrazed.csv")
ShannonAbandoned<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/ShannonAbandoned.csv")
Shannon<-rbind(ShannonMowed,ShannonGrazed,ShannonAbandoned)
Shannon[,"Site"]<-sub("[[:digit:]]+","",Shannon$X) #get site name from site ID
colnames(Shannon)<-c("ID", "PoorFodder","GoodFodder","Medic","Melif","Nfix","Prot","Pollen","Total","Land use","Site")
write.csv(Shannon, file="Shannon.csv", row.names = FALSE)

SimpsonMowed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/SimpsonMowed.csv")#read in data
SimpsonGrazed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/SimpsonGrazed.csv")
SimpsonAbandoned<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/SimpsonAbandoned.csv")
Simpson<-rbind(SimpsonMowed,SimpsonGrazed,SimpsonAbandoned)
Simpson[,"Site"]<-sub("[[:digit:]]+","",Simpson$X) #get site name from site ID
colnames(Simpson)<-c("ID", "PoorFodder","GoodFodder","Medic","Melif","Nfix","Prot","Pollen","Total","Land use","Site")
write.csv(Simpson, file="Simpson.csv", row.names = FALSE)

InvSimpsonMowed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/InvSimpsonMowed.csv")#read in data
InvSimpsonGrazed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/InvSimpsonGrazed.csv")
InvSimpsonAbandoned<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/InvSimpsonAbandoned.csv")
InvSimpson<-rbind(InvSimpsonMowed,InvSimpsonGrazed,InvSimpsonAbandoned)
InvSimpson[,"Site"]<-sub("[[:digit:]]+","",InvSimpson$X) #get site name from site ID
colnames(InvSimpson)<-c("ID", "PoorFodder","GoodFodder","Medic","Melif","Nfix","Prot","Pollen","Total","Land use","Site")
write.csv(InvSimpson, file="InvSimpson.csv", row.names = FALSE)

EvarMowed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/EvarMowed.csv")#read in data
EvarGrazed<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/EvarGrazed.csv")
EvarAbandoned<-read.csv("/Users/annamariacsergo/Dropbox/Ecos_Services/EvarAbandoned.csv")
Evar<-rbind(EvarMowed,EvarGrazed,EvarAbandoned)
Evar[,"Site"]<-sub("[[:digit:]]+","",Evar$X) #get site name from site ID
colnames(Evar)<-c("ID", "PoorFodder","GoodFodder","Medic","Melif","Nfix","Prot","Pollen","Total","Land use","Site")
write.csv(Evar, file="Evar.csv", row.names = FALSE)
